# This file is auto generated.
# Remove/modify this header if you want to customize the operation.
query occ_getConfigs_query($currentPage: Int, $pageSize: Int = 20, $statuses: [String], $subdomains: [String]) {
  occ_getConfigs(
    currentPage: $currentPage
    pageSize: $pageSize
    statuses: $statuses
    subdomains: $subdomains
  ) {
    ... on occ_SynchronousExtensionConfigurationList {
      pagination {
        count
        hasNext
        hasPrevious
        page
        pageSize
        totalCount
        totalPages
      }
      results {
        destination {
          destinationTarget
          mainDestination
        }
        extensionPointType
        id
        modifiedAt
        name
        status
      }
    }
    ... on occ_errorList {
      errors {
        errorCode
        exceptionMessage
        language
        message
        position
        reason
        subject
        subjectType
        type
      }
    }
  }
}